Subject: bug#74308: 30.0.92; emacs-lisp font-locking word regexp

From: Arash Esbati <[email-masked]>
Date: Sat, 16 Nov 2024 22:33:55 +0100

Eli Zaretskii <[email-masked]> writes:

> merge 74308 74307
> thanks
>
>> From: Roland Winkler <[email-masked]>
>> Date: Mon, 11 Nov 2024 00:30:46 -0600
>> 
>> Starting from emacs -Q, put the following into a buffer with
>> emacs-lisp-mode
>> 
>>   (setq foo "\\<foo\\>")
>> 
>> The part "foo\\" of the string "\\<foo\\>" will get
>> font-lock-variable-name-face, which looks odd.
>> 
>> I believe, this is due to a clause in lisp-mode.el that says
>> 
>>          ;; Words inside \\[], \\<>, \\{} or \\`' tend to be for
>>          ;; `substitute-command-keys'.
>> 
>> But this assumption is not always correct, in particular if ">" is
>> preceded by "\\", which happens when constructing regexps.
>
> This is an exact duplicate of bug#74307 that you submitted just 2
> minutes earlier, so I'm merging them.

I think bug#68318 is also about the same issue; it can be merged into
this one as well.

Best, Arash